org.apache.tinkerpop.gremlin.groovy.jsr223.customizer

## Class ConfigurationCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.ConfigurationCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider

  Deprecated.
  As of release 3.2.4, not replaced by a public class.

      @Deprecated
      public class ConfigurationCustomizerProvider
      extends Object
      implements CompilerCustomizerProvider

  Allows configurations to be directly supplied to a groovy `CompilerConfiguration` when a `GremlinGroovyScriptEngine` is initialized, providing fine-grained control over its internals.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationCustomizerProvider(Map<String,Object> keyValues)` Deprecated. Creates a new instance using configuration values specified
    `ConfigurationCustomizerProvider(Object... keyValues)` Deprecated. Creates a new instance using configuration values specified

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilerConfiguration` | `applyCustomization(CompilerConfiguration compilerConfiguration)` Deprecated.
    `CompilationCustomizer` | `create()` Deprecated. Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationCustomizerProvider

          public ConfigurationCustomizerProvider(Object... keyValues)

      Deprecated.
      Creates a new instance using configuration values specified

    - #### ConfigurationCustomizerProvider

          public ConfigurationCustomizerProvider(Map<String,Object> keyValues)

      Deprecated.
      Creates a new instance using configuration values specified

  - ### Method Detail

    - #### applyCustomization

          public CompilerConfiguration applyCustomization(CompilerConfiguration compilerConfiguration)

      Deprecated.

    - #### create

          public CompilationCustomizer create()

      Deprecated.
      Description copied from interface: `CompilerCustomizerProvider`
      Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
      Specified by:
        `create` in interface `CompilerCustomizerProvider`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.